Documentation Index Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
Allows you to create a custom object schema. To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0
POST https://services.leadconnectorhq.com/objects/
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion .
Version
string
default: "2021-07-28"
required
Version de la API.
Body
This is what your custom object will be called. These labels will be used to display your custom object on the UI
key
string
default: "custom_objects.pet"
required
key that would be used to refer the Custom Object internally (lowercase + underscore_separated). ‘custom_objects.’ would be added as prefix by default
description
string
default: "These are non vaccinated pets"
Pet Object`s description
locationId
string
default: "ve9EPM428h8vShlRW1KT"
required
Account Id
primaryDisplayPropertyDetails
Primary property which will be displayed on the record page
Respuestas
201 - Successful response
id
string
default: "661c06b4ffde146bdb469442"
required
id of the custom / standard object schema
standard
boolean
default: "False"
required
false in case of custom objects and true in case of standard objects like contacts and opportunities
key
string
default: "custom_objects.pet"
required
key that would be used to refer the custom / standard Object internally (lowercase + underscore_separated). For custom objects, ‘custom_objects.’ would be added as prefix by default
This is what your custom / standard object will be called. These labels will be used to display your custom object on the UI
description
string
default: "These are non vaccinated pets"
Custom / Standard Object Descriptions for example , Pet Object`s description
locationId
string
default: "Q9DT3OAqEXDLYuob1G32"
required
account’s id
primaryDisplayProperty
string
default: "custom_objects.pet.name"
required
Primary property for the custom / standard Object. This would be used as primary data when rendering the UI. ‘custom_objects.{{object_key}} or business.{{object_key}} (for company)’ would be added as prefix by default for all the custom / standard objects
Date and time when the object was added
Date and time when the object was last updated
{
"object" : {
"id" : "661c06b4ffde146bdb469442" ,
"standard" : false ,
"key" : "custom_objects.pet" ,
"labels" : {
"singular" : "Pet" ,
"plural" : "Pets"
},
"description" : "These are non vaccinated pets" ,
"locationId" : "Q9DT3OAqEXDLYuob1G32" ,
"primaryDisplayProperty" : "custom_objects.pet.name" ,
"dateAdded" : "2024-01-15T10:30:00Z" ,
"dateUpdated" : "2024-01-15T10:30:00Z" ,
"type" : "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}
422 - Unprocessable Entity
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/objects/' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"key": "custom_objects.pet",
"description": "These are non vaccinated pets",
"locationId": "ve9EPM428h8vShlRW1KT"
}'